Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I am running an ISPConfig3 server with Lenny which I want to upgrade the Squeeze, however... I am not at the terminal and the server is in my server-hall.

Can I upgrade Lenny to Squeeze over SSH? I checked the update list and both openssh-client & openssh-server are being kept back... however, I feel unsure to if I can and should proceed.

This is what apt-get shows me when running apt-get upgrade:

The following packages have been kept back:
  amavisd-new apache2 apache2-mpm-prefork apache2.2-common apt apt-listchanges apt-utils aptitude autoconf automake avahi-daemon bash
  bc bind9-host binutils build-essential courier-maildrop cpio cpp cpp-4.3 cron dbus dc debianutils dhcp3-client dhcp3-common diff
  djvulibre-desktop dnsutils dpkg dpkg-dev e2fsprogs ed enscript expect findutils flex ftp g++ g++-4.3 gcc gcc-4.3 gcc-4.3-base
  gettext ghostscript gnupg gpgv grep grub grub-common html2text imagemagick info iptables ispell libaprutil1 libarchive-zip-perl
  libberkeleydb-perl libc6 libc6-dev libc6-i386 libcompress-raw-zlib-perl libcompress-zlib-perl libconvert-uulib-perl libcups2
  libcupsimage2 libcurl3 libdatetime-locale-perl libdatetime-perl libdbd-mysql-perl libdbi-perl libdevmapper1.02.1
  libdigest-sha1-perl libdjvulibre21 libedit2 libgcc1 libgdbm3 libglib2.0-0 libglib2.0-data libgomp1 libgs8 libgsf-1-114 libgtk2.0-0
  libgtk2.0-bin libhtml-parser-perl libio-compress-base-perl libio-compress-zlib-perl libkrb53 liblocale-gettext-perl
  libmail-box-perl libneon27 libneon27-gnutls libnet-dns-perl libnet-libidn-perl libnet-ssleay-perl libnetaddr-ip-perl libpango1.0-0
  libparams-validate-perl libpq5 librsvg2-2 libsasl2-2 libsasl2-modules libsasl2-modules-sql libsocket6-perl libstdc++6
  libstdc++6-4.3-dev libsvn1 libthai-data libthai0 libtool libts-0.0-0 libwv-1.2-3 libx11-6 libxcb1 libxi6 linux-image-2.6-amd64
  locales m4 man-db mc memcached mutt mysql-client nano nfs-common ntp ntpdate openssh-client openssh-server perl perl-base
  perl-modules polipo postfix postfix-mysql python python-apt python-minimal python-sqlalchemy python2.5 python2.5-minimal quota
  readline-common reportbug rpm sasl2-bin sed source-highlight subversion sysv-rc tor tor-geoipdb udev unixodbc util-linux wget wv
The following packages will be upgraded:
  acpi-support-base acpid adduser apache2-doc apache2-suexec apache2-utils apticron arj aspell aspell-de aspell-en aspell-fi
  aspell-fr aspell-nl aspell-ru aspell-sv at automake1.9 autotools-dev base-files base-passwd bash-completion bison bsd-mailx
  bsdmainutils bsdutils busybox bzip2 ca-certificates cabextract clamav clamav-base clamav-daemon clamav-docs clamav-freshclam
  clamav-testfiles console-common console-data console-tools coreutils courier-authdaemon courier-authlib courier-authlib-mysql
  courier-authlib-userdb courier-base courier-imap courier-imap-ssl courier-pop courier-pop-ssl courier-ssl curl daemon db4.6-util
  dbus-x11 debconf debconf-i18n debhelper debian-archive-keyring debian-faq defoma dictionaries-common dmidecode doc-debian e2fslibs
  eject fail2ban fakeroot fam file firmware-bnx2 fontconfig fontconfig-config gawk getmail4 gettext-base groff-base gs-common gsfonts
  gzip hicolor-icon-theme hostname iamerican ibritish ifupdown initramfs-tools initscripts installation-report iproute iputils-ping
  java-common klibc-utils laptop-detect less libacl1 libaio1 libapache2-mod-fcgid libapache2-mod-jk libapr1 libasound2 libaspell15
  libatk1.0-0 libatk1.0-data libattr1 libauthen-sasl-perl libavahi-common-data libavahi-common3 libblkid1 libbz2-1.0 libcairo2
  libcap2 libclamav6 libclass-singleton-perl libcomerr2 libconsole libconvert-asn1-perl libconvert-tnef-perl libcroco3 libcwidget3
  libdaemon0 libdatetime-timezone-perl libdb4.6 libdb4.8 libdbus-1-3 libdigest-hmac-perl libexpat1 libfam0
  libfile-copy-recursive-perl libfile-remove-perl libfontconfig1 libfontenc1 libfreetype6 libgc1c2 libgcrypt11 libgd2-xpm
  libgeoip-dev libgeoip1 libgmp3c2 libgnutls26 libgpg-error0 libgpm2 libgsf-1-common libgssglue1 libgtk2.0-common
  libhtml-template-perl libhtml-tree-perl libice6 libidn11 libilmbase6 libio-multiplex-perl libio-socket-inet6-perl
  libio-socket-ssl-perl libipc-run3-perl libjasper1 libjpeg62 libkeyutils1 libklibc liblcms1 libldap-2.4-2 liblockfile1 liblqr-1-0
  libltdl7 liblzo2-2 libmagic-dev libmagic1 libmail-sendmail-perl libmail-spf-perl libmailtools-perl libmcrypt4 libmhash2
  libmime-tools-perl libmime-types-perl libncurses5 libncursesw5 libnet-cidr-perl libnet-daemon-perl libnet-ident-perl
  libnet-ldap-perl libnewt0.52 libnfsidmap2 libnss-mdns libobject-realize-later-perl libopenexr6 libpam-modules libpam-mysql
  libpam-runtime libpam0g libpango1.0-common libpaper-utils libpaper1 libpci3 libpcre3 libpixman-1-0 libplrpc-perl libpng12-0
  libpopt0 libqdbm14 libreadline5 librpcsecgss3 libselinux1 libsepol1 libserf-0-0 libsigc++-2.0-0c2a libslang2 libsm6 libsqlite0
  libsqlite3-0 libss2 libssh2-1 libssl-dev libssl0.9.8 libsysfs2 libt1-5 libtasn1-3 libtext-charwidth-perl libtext-iconv-perl
  libtext-wrapi18n-perl libtidy-0.99-0 libtiff4 libtimedate-perl libtommath0 liburi-perl libusb-0.1-4 libuser-identity-perl libuuid1
  libwmf0.2-7 libwrap0 libwww-perl libx11-data libxau6 libxcb-render-util0 libxcb-render0 libxcomposite1 libxcursor1 libxdamage1
  libxdmcp6 libxext6 libxfixes3 libxfont1 libxft2 libxinerama1 libxml2 libxml2-dev libxmuu1 libxpm4 libxrandr2 libxrender1 libxt6
  libxtst6 linux-libc-dev lockfile-progs login logrotate lsb-base lsb-release lsof make makedev manpages mawk mcrypt mdadm mercurial
  mercurial-common mime-support mktemp mlocate mlock module-init-tools mount ncurses-base ncurses-bin ncurses-term net-tools netbase
  nomarch openbsd-inetd openssl openssl-blacklist passwd patch pciutils po-debconf portmap postfix-doc procmail procps psfontmgr
  psmisc pure-ftpd-common pure-ftpd-mysql python-beaker python-central python-support quotatool rcs rkhunter rsyslog shtool socat
  spamassassin spamc ssh ssl-cert sun-java6-bin sun-java6-jdk sun-java6-jre sysstat sysvinit sysvinit-utils tar tasksel tasksel-data
  tcl8.4 tcpd texinfo time traceroute ttf-dejavu ttf-dejavu-core ttf-dejavu-extra tzdata ucf unhide unrtf unzip update-inetd usbutils
  vim-common vim-tiny w3m wamerican webalizer whiptail whois x-ttcidfont-conf x11-common xauth xfonts-encodings xfonts-utils zip
  zlib1g zlib1g-dev zoo
343 upgraded, 0 newly installed, 0 to remove and 157 not upgraded.

Can I do the upgrade? Is there anything then will kill my SSH connection? Can I run it otherwise in the background so the upgrade process continues even-though the SSH connect might have been killed?

share|improve this question

1 Answer 1

up vote 3 down vote accepted

That's why God invented the KVM over IP.

In my experience, I wouldn't do it if it's not absolutely necessary. If you can wait and do it after the weekend, I wouldn't take the risk.

I've done multiple lenny to squeeze upgrades and in about 30 machines, I had only one that didn't turn out well. So it's for you to decide if you can take the risk or not. Normally these upgrades go smoothly. Do note that you will need to reboot the machine to complete the upgrade, so you will loose ssh connection anyway.

Normally you will not loose SSH when doing a dist-upgrade from lenny to squeeze.

share|improve this answer
    
I guess because of the kernel upgrade. Its running on a healthy Dell Poweredge 1920, so hardware wise it shouldn't be a problem. But does that happen last... loosing the SSH connection that is. –  Paul Peelen Jun 16 '12 at 22:30
    
I'll start off with an apt-get update before doing an dist-upgrade. –  Paul Peelen Jun 16 '12 at 22:35
    
Update just downloads the list of updates,upgrade will install them. –  Lucas Kauffman Jun 16 '12 at 22:52
    
Sorry, meant upgrade, not update. I ran upgrade and am now running dist-upgrade keeping back openssh-server and openssh-client –  Paul Peelen Jun 16 '12 at 22:53

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.